import type {WsApiRequestHandler} from './WsApiRequestHandler.ts'
import type {WsApiRoute} from './WsApiRoute.ts'
import type {WsApiAction, WsApiRequest, WsApiResponse} from './common/index.ts'

export type WsApiRouteHandler<
  Action extends WsApiAction,
  Request extends WsApiRequest<Action>,
  Response extends WsApiResponse,
> = {
  route: WsApiRoute<Action, Request, Response>
  requestHandler: WsApiRequestHandler<Action, Request, Response>
}
